use ExtUtils::MakeMaker;
use File::Copy;

WriteMakefile(
	      'NAME'	      => 'jspell',
	      'VERSION_FROM'  => 'jspell.pm',
	      'PREREQ_PM'     => {
				  # the script needing these 'VV' is in jspell toplever src
				  'Getopt::Long' => 2.30,
				  'File::Basename' => 2.70,
				 },
	      'SKIP' => [ qw/dist dist_basics dist_core dist_dir dist_test dist_ci/ ],
	     );

move("Makefile", "Makefile.in");

sub MY::postamble {
  local $/ = undef;
  my $postamble = <DATA>;
}

__DATA__
VERSION = @VERSION@
PACKAGE = @PACKAGE@

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)/perl

distdir:
	mkdir -p $(distdir)
	perl -MExtUtils::Manifest -e 'ExtUtils::Manifest::manicopy(ExtUtils::Manifest::maniread("MANIFEST"),"$(distdir)","cp")'

check: test
